static const char html_main_script[] PROGMEM = R"=====(
<script>
  function g(i) { return document.getElementById(i) };
  var xhttp, updateTime, reqTime, reqFin;
  function sendBtn(btn, conf) {
  var frmn='BtnFrm'+btn;
  var form = g(frmn);
  if(conf !== undefined) {
  if(confirm(conf)) return transmit(form);
    else return false;
    }
    else return transmit(form);
  }
  function transmit(f) {
    if (!xhttp) { 
      reqTime = 0;
      reqFin = false;
      xhttp = new XMLHttpRequest();
      xhttp.timeout = 1000;
    xhttp.overrideMimeType("application/json");
      xhttp.open('POST', 'api');
      xhttp.send(f ? (new FormData(f)) : '');
      xhttp.onreadystatechange = function () {
        if (xhttp.readyState === XMLHttpRequest.DONE && xhttp.status === 200) {
          var data = JSON.parse(xhttp.responseText);
          g('PCstate').innerHTML = data.PCstate;
      if(data.PCstate == "ON") {
        g('PCstate').style.fontWeight = "bold";
      }
      else g('PCstate').style.fontWeight = "normal";
      if(data.ssid !== undefined) g('ssid').innerHTML = data.ssid;
      if(data.mqttstate !== undefined) { 
        if(data.mqttstate == "CONNECTED" && data.mqtthost !== undefined) {
          g('mqttstate').innerHTML = data.mqttstate + ' to <i>' + data.mqtthost + '</i>';
          }
        else g('mqttstate').innerHTML = data.mqttstate;
      }
      if(data.uptime !== undefined) g('uptime').innerHTML = data.uptime;
      if(data.mqttreconn !== undefined) g('mqttreconn').innerHTML = data.mqttreconn;
          xhttp = null;
          updateTime = 0;
          reqFin = true;
          }
        else {
          if(!reqFin && reqTime > 10) {
            xhttp = null;
            reqFin = true;
          }
        }
      }
    }
    return false;
  }
  function init() {
    transmit();
  }
  setInterval(transmit, 2500);
</script>
)====="; // html_main_script

static const char html_main_body[] PROGMEM = R"=====(
<p><b>PC</b></p>
<div id='PCstate' style='text-align:center;font-weight:normal;font-size:40px'></div>
<table style='width:100%'>
<tr><td colspan='2'>
<form id='BtnFrmPwr'><input type='hidden' name='BtnPwr' value='1'><button onclick='return sendBtn("Pwr")'>On / Sleep</button></form>
</td></tr>
<tr>
<td style='width:50%'><form id='BtnFrmPwrH'><input type='hidden' name='BtnPwrH' value='1'><button onclick='return sendBtn("PwrH","Confirm PC Force Off")' class='bred'>Force Off</button></form></td>
<td style='width:50%'><form id='BtnFrmRes'><input type='hidden' name='BtnRes' value='1'><button onclick='return sendBtn("Res", "Confirm PC Reset")' class='bred'>Reset</button></form></td>
</tr></table>
<hr>
<div></div>
<p><b>Module</b></p>
<p>WiFi connected to <i><span id='ssid'></span></i></p>
<p>MQTT <span id='mqttstate'></span></p>
<p>MQTT reconnects: <span id='mqttreconn'></span></p>
<p>Uptime: <span id='uptime'></span></p>
<table style='width:100%'><tr>
<td style='width:50%'>
)====="; // html_main_body

static const char html_main_body_adminonly[] PROGMEM = R"=====(<form action='conf' method='get'><button class='bgrey'>Config</button></form>)====="; // html_main_body_adminonly

static const char html_main_body2[] PROGMEM = R"=====(
</td>
<td style='width:50%'><form action='/' method='get' onsubmit='return confirm("Confirm Module Restart");'><button name='restart' class='bred'>Restart</button></form></td>
</tr></table>
)====="; // html_main_body2
